##
##  mtools.spec -- OpenPKG RPM Package Specification
##  Copyright (c) 2000-2012 OpenPKG Foundation e.V. <http://openpkg.net/>
##
##  Permission to use, copy, modify, and distribute this software for
##  any purpose with or without fee is hereby granted, provided that
##  the above copyright notice and this permission notice appear in all
##  copies.
##
##  THIS SOFTWARE IS PROVIDED ``AS IS'' AND ANY EXPRESSED OR IMPLIED
##  WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
##  MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED.
##  IN NO EVENT SHALL THE AUTHORS AND COPYRIGHT HOLDERS AND THEIR
##  CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
##  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
##  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF
##  USE, DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND
##  ON ANY THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY,
##  OR TORT (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT
##  OF THE USE OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF
##  SUCH DAMAGE.
##

#   package version
%define       V_base  4.0.18

#   package information
Name:         mtools
Summary:      Access MS-DOS disks from Unix without mounting
URL:          http://www.gnu.org/software/mtools/
Vendor:       Alain Knaff
Packager:     OpenPKG Foundation e.V.
Distribution: OpenPKG Community
Class:        PLUS
Group:        Filesystem
License:      GPL
Version:      %{V_base}
Release:      20130112

#   list of sources
Source0:      http://ftp.gnu.org/gnu/mtools/mtools-%{V_base}.tar.gz
Patch0:       mtools.patch

#   build information
BuildPreReq:  OpenPKG, openpkg >= 20100101, texinfo, make, gcc
PreReq:       OpenPKG, openpkg >= 20100101
BuildPreReq:  libiconv
PreReq:       libiconv

%description
    Mtools is a collection of utilities to access MS-DOS disks from Unix
    without mounting them. It supports Win'95 style long file names,
    OS/2 Xdf disks and 2m disks (store up to 1992k on a high density 3
    1/2 disk).

%track
    prog mtools = {
        version   = %{V_base}
        url       = http://www.gnu.org/software/mtools/download.html
        regex     = mtools-(__VER__)\.tar\.gz
    }

%prep
    %setup -q
    %patch -p0

%build
    CC="%{l_cc}" \
    CFLAGS="%{l_cflags -O}" \
    CPPFLAGS="%{l_cppflags}" \
    LDFLAGS="%{l_ldflags}" \
    LIBS="-liconv" \
    ./configure \
        --cache-file=./config.cache \
        --prefix=%{l_prefix} \
        --mandir=%{l_prefix}/man \
        --infodir=%{l_prefix}/info \
        --sysconfdir=%{l_prefix}/etc/mtools \
        --without-x
    %{l_make} %{l_mflags -O}

%install
    %{l_make} %{l_mflags} install \
        MAKEINFO=%{l_prefix}/bin/makeinfo \
        prefix=$RPM_BUILD_ROOT%{l_prefix} \
        exec_prefix=$RPM_BUILD_ROOT%{l_prefix} \
        mandir=$RPM_BUILD_ROOT%{l_prefix}/man \
        infodir=$RPM_BUILD_ROOT%{l_prefix}/info
    rm -f $RPM_BUILD_ROOT%{l_prefix}/info/dir
    strip $RPM_BUILD_ROOT%{l_prefix}/bin/* >/dev/null 2>&1 || true
    %{l_shtool} mkdir -f -p -m 755 \
        $RPM_BUILD_ROOT%{l_prefix}/etc/mtools
    %{l_shtool} install -c -m 644 \
        -e '1,3d' \
        mtools.conf $RPM_BUILD_ROOT%{l_prefix}/etc/mtools/
    %{l_rpmtool} files -v -ofiles -r$RPM_BUILD_ROOT \
        %{l_files_std} \
        '%config %{l_prefix}/etc/mtools/*'

%files -f files

%clean

